com.clarkware.junitperf

## Class ThreadedTest

- java.lang.Object
- - com.clarkware.junitperf.ThreadedTest

    public class ThreadedTest
    extends java.lang.Object

The `ThreadedTest` is a test decorator that runs a test in a separate thread.

Author:
  Mike Clark, Clarkware Consulting, Inc.

### Constructor Summary

Constructors
Constructor and Description
`ThreadedTest(Test test)` Constructs a `ThreadedTest` to decorate the specified test using the same thread group as the current thread.
`ThreadedTest(Test test, java.lang.ThreadGroup group, ThreadBarrier barrier)` Constructs a `ThreadedTest` to decorate the specified test using the specified thread group and thread barrier.

### Method Summary

Methods
`int` `countTestCases()` Returns the number of test cases in this threaded test.
`void` `run(TestResult result)` Runs this test.
`java.lang.String` `toString()` Returns the test description.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ThreadedTest

    public ThreadedTest(Test test)

Constructs a `ThreadedTest` to decorate the specified test using the same thread group as the current thread.

Parameters:
  `test` - Test to decorate.

#### ThreadedTest

    public ThreadedTest(Test test,
                java.lang.ThreadGroup group,
                ThreadBarrier barrier)

Constructs a `ThreadedTest` to decorate the specified test using the specified thread group and thread barrier.

Parameters:
  `test` - Test to decorate.
  `group` - Thread group.
  `barrier` - Thread barrier.

### Method Detail

#### countTestCases

    public int countTestCases()

Returns the number of test cases in this threaded test.

Returns:
  Number of test cases.

#### run

    public void run(TestResult result)

Runs this test.

Parameters:
  `result` - Test result.

#### toString

    public java.lang.String toString()

Returns the test description.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  Description.